
Installer - Tracker #28999

Deploy Foreman with Puma as the application server by default

02/12/2020 08:27 PM - Eric Helms

Status: Closed % Done: 0%

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version: 2.1.0   

Difficulty:  Fixed in Releases: 2.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Related issues:

Related to Packaging - Bug #17712: Passenger can't find passenger_native_supp... Rejected

Related to Foreman - Feature #28955: Add Puma workers/threads configuration Closed

Related to Installer - Bug #29041: Update Puma default workers from 5 to 2 in... Closed

Related to Foreman - Feature #29148: Make puma default Closed

Related to Installer - Feature #29282: Add migrations for replacing passenger... Closed

Related to Foreman - Bug #29507: Add puma-status to report puma statusing Closed

Related to Packaging - Feature #29514: package puma-status gem Closed

Related to Katello - Bug #29370: Syncing a large product leaves Pulp tasks "w... New

Related to Foreman - Bug #29588: Foreman service seems active however keeps r... New

Related to Foreman - Feature #29356: Ship Puma systemd plugin in production Closed

Related to Foreman - Feature #29584: Preload application with Puma in product... Closed

History

#1 - 02/12/2020 08:29 PM - Eric Helms

- Related to Bug #17712: Passenger can't find passenger_native_support.so added

#2 - 02/12/2020 08:30 PM - Suresh Thirugnanasambandan

- Related to Feature #28955: Add Puma workers/threads configuration added

#3 - 02/17/2020 10:15 PM - Suresh Thirugnanasambandan

- Related to Bug #29041: Update Puma default workers from 5 to 2 in the devel scenario added

#4 - 02/24/2020 07:28 PM - Suresh Thirugnanasambandan

- Related to Feature #29148: Make puma default added

#5 - 03/06/2020 07:36 PM - Suresh Thirugnanasambandan

- Blocked by Feature #29282: Add migrations for replacing passenger with puma added

#6 - 03/06/2020 07:36 PM - Suresh Thirugnanasambandan

- Blocked by deleted (Feature #29282: Add migrations for replacing passenger with puma)

#7 - 03/06/2020 07:37 PM - Suresh Thirugnanasambandan

- Related to Feature #29282: Add migrations for replacing passenger with puma added

#8 - 04/08/2020 09:11 PM - Suresh Thirugnanasambandan

- Related to Bug #29507: Add puma-status to report puma statusing added
#9 - 04/09/2020 03:18 PM - Suresh Thirugnanasambandan

- Related to Feature #29514: package puma-status gem added

#10 - 04/14/2020 01:52 PM - Suresh Thirugnanasambandan

- Related to Bug #29370: Syncing a large product leaves Pulp tasks "waiting". added

#11 - 04/21/2020 07:14 PM - Suresh Thirugnanasambandan

- Related to Bug #29588: Foreman service seems active however keeps restarting if it can't start added

#12 - 04/21/2020 07:16 PM - Suresh Thirugnanasambandan

- Related to Feature #29356: Ship Puma systemd plugin in production added

#13 - 04/21/2020 07:16 PM - Suresh Thirugnanasambandan

- Related to Feature #29584: Preload application with Puma in production mode added

#14 - 07/01/2020 12:25 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Status changed from New to Closed

- Target version set to 2.1.0

- Triaged changed from No to Yes

- Fixed in Releases 2.1.0 added

Even though not all linked tasks are complete, this is the default in 2.1.
